> This page is for version 0.2.0.
> For other versions, use one of these documentation indexes:
> - Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
> - 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
> - 0.7.2: https://docs.nvidia.com/nemo-helix/v0.7.2/llms.txt
> - 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
> - 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
> - 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
> - 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
> - 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
> - 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
> - 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
> - 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-helix/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-helix/_mcp/server.

# List entities

GET /apis/entities/v2/workspaces/{workspace}/entities/{entity_type}

List all entities of a specific type in the given workspace.

Use workspace="-" to list entities across all workspaces the principal has
access to.

Query Parameters:
- sort: Sort field
- page, page_size: Pagination
- filter: Advanced filters (JSON, text, or bracket notation)

Examples:
```
GET /apis/entities/v2/workspaces/default/entities/customization_config?sort=-created_at
GET /apis/entities/v2/workspaces/-/entities/customization_config  # Cross-workspace query
```

Reference: https://docs.nvidia.com/nemo-helix/documentation/reference/api-reference/entity-store/list-entities-apis-entities-v-2-workspaces-workspace-entities-entity-type-get

## Request

### Path parameters

- `workspace` (string, required)
- `entity_type` (string, required)

### Query parameters

- `page` (integer, optional, default: 1) — Page number
- `page_size` (integer, optional, default: 100) — Items per page
- `sort` (string, optional, default: -created_at) — Sort field
- `count_by` (string, optional) — Optional direct string data field whose matching values should be counted.
- `filter` (string, optional) — Query filter expression. Supports text and JSON syntaxes: * Text: name:"value" AND status>500 with operators : \~ > >= \< \<= IN NOT IN AND OR and negation prefix - * Object (JSON): \{"name":\{"$like":"value"}} with operators $eq, $like, $lt, $lte, $gt, $gte, $in, $nin, $and, $or, $not * Bracket notation: ?filter\[name]\[\$like]=value * Relationship traversal: ?filter\[relationship]\[\$exists]=true or ?filter\[relationship]\[field]=value

## Response

### 200

Successful Response

- `data` (list of Entity, required)
- `pagination` (PaginationData, optional) — Pagination information.
- `sort` (string, optional) — The field on which the results are sorted.
- `filter` (map from string to any, optional) — Filtering information.
- `group_counts` (map from string to integer, optional)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Entity

Entity schema for API responses.

- `entity_type` (string, required) — Entity type identifier
- `id` (string, required) — UUID identifier
- `workspace` (string, required) — Workspace identifier
- `name` (string, required) — Entity name
- `data` (map from string to any, required) — Entity data
- `created_at` (datetime, required) — Timestamp of entity creation
- `updated_at` (datetime, required) — Timestamp of last entity update
- `db_version` (integer, required) — Database version of the entity for optimistic locking.
- `parent` (string, optional) — Parent entity ID for nested entities
- `project` (string, optional) — The name of the project associated with this entity
- `created_by` (string, optional) — Principal id for entity creator
- `updated_by` (string, optional) — Principal id for last entity update

### PaginationData

- `page` (integer, required) — The current page number.
- `page_size` (integer, required) — The page size used for the query.
- `current_page_size` (integer, required) — The size for the current page.
- `total_pages` (integer, required) — The total number of pages.
- `total_results` (integer, required) — The total number of results.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (map from string to any, optional)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "data": [
    {
      "entity_type": "string",
      "id": "string",
      "workspace": "string",
      "name": "string",
      "data": {},
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "db_version": 1,
      "parent": "string",
      "project": "string",
      "created_by": "string",
      "updated_by": "string"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "string",
  "filter": {},
  "group_counts": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type"

querystring = {"sort":"-created_at"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/entities/v2/workspaces/workspace/entities/entity_type?sort=-created_at")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```